import { InferType } from "prop-types";
import React from "react";
import { State } from "../state";
import { ToolButton } from "./toolbutton";

type propTypes = {
    state: State;
};

export class ToolPool extends React.PureComponent<
    propTypes,
    InferType<typeof ToolPool.stateTypes>
> {
    static stateTypes = {};

    constructor(props: propTypes) {
        super(props);
    }

    render(): React.ReactNode {
        // Don't render anything if state is not defined
        if (!this.state) {
            return <div id="toolpool"></div>;
        }

        return (
            <div id="toolpool">
                {this.props.state.display.tools.map((t) => (
                    <ToolButton
                        tool={t}
                        state={this.props.state}
                        key={t.getKey()}
                    />
                ))}
            </div>
        );
    }
}
